/* AUTORIGHTS
Copyright (C) 2008-2012 Marco Andreetto
      
This file is part of AB_SAMPLER.

AB_SAMPLER is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2, or (at your option)
any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software Foundation,
Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
*/

#ifndef _AB_LOG_H_
#define _AB_LOG_H_

#include <iostream>
#include <fstream>

/*
#if defined(WIN32) || defined(_WIN32) || defined(__WIN32__) 
#define _OUTPUT_ON_FILE_  
#endif
*/

//#define _OUTPUT_ON_FILE_  

#ifdef _OUTPUT_ON_FILE_
  extern std::ofstream flog;
#else
  extern std::ostream &flog;
#endif

void ab_init_log();
void ab_close_log();

#endif // _AB_LOG_H_
