function saveXMLfile(s, xmlFile)

% save the info 's' in the given 'xmlFile'. Try to look in different places to
% find the file.

% if the file is not present in the current directory we check in the 
% usual result directory
if ~exist(xmlFile, 'file')
  xmlFile=['/common/marco/clustering/results/Journal/', xmlFile];
end

% load the file structure with all the info about the experiment
fprintf('saving XML file....');
xml_save(xmlFile, s);
fprintf('done\n');

% AUTORIGHTS
% Copyright (C) 2008-2012 Marco Andreetto
%       
% This file is part of AB_SAMPLER.
% 
% AB_SAMPLER is free software; you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published by
% the Free Software Foundation; either version 2, or (at your option)
% any later version.
% 
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
% 
% You should have received a copy of the GNU General Public License
% along with this program; if not, write to the Free Software Foundation,
% Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
