function unpackSamples(expTag)

% 
% Unpack the samples into all the different images
% 

expRootDir='/common/marco/clustering/results/Journal/';
destDir=fullfile(expRootDir, expTag);
load(fullfile(destDir, 'seg_results.mat'), 'Cs_all');

NF=length(Cs_all); %#ok<USENS>
for h=1:NF
  fileName=sprintf('samples_%04d.mat', h);
  C=Cs_all{h}; % sample for image h
  save(fullfile(destDir, fileName), 'C');
  putDot(h);
end
disp(' ');

% AUTORIGHTS
% Copyright (C) 2008-2012 Marco Andreetto
%       
% This file is part of AB_SAMPLER.
% 
% AB_SAMPLER is free software; you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published by
% the Free Software Foundation; either version 2, or (at your option)
% any later version.
% 
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
% 
% You should have received a copy of the GNU General Public License
% along with this program; if not, write to the Free Software Foundation,
% Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
