function Nwsp=compWordSPCont(SP, W, ix, iy, V)

% number of superpixels
Nsp=max(max(SP));

% transform the coordinates into linear indeces
idx=sub2ind([rows(SP), cols(SP)], iy, ix);

% collect the superpixel label for each visual word
SPlabels=SP(idx);

% preallocate the output matrix
Nwsp=zeros(V, Nsp);

% compute the histogram for each superpixels
for h=1:Nsp
  Nwsp(:,h)=hist(W(SPlabels==h), 1:V)';
end  
% AUTORIGHTS
% Copyright (C) 2008-2012 Marco Andreetto
%       
% This file is part of AB_SAMPLER.
% 
% AB_SAMPLER is free software; you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published by
% the Free Software Foundation; either version 2, or (at your option)
% any later version.
% 
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
% 
% You should have received a copy of the GNU General Public License
% along with this program; if not, write to the Free Software Foundation,
% Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
